Bug 989453 - [abrt] evolution-3.8.3-2.fc19: g_malloc: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.8.3-2.fc19: g_malloc: Process /usr/bin/evolution was kille...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:6de1cb52091be4c677fd5e01380...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 05:53 EDT by Jozef Mlich
Modified: 2015-08-02 19:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 00:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (129.51 KB, text/plain)
2013-07-29 05:53 EDT, Jozef Mlich
no flags Details
File: core_backtrace (1.73 KB, text/plain)
2013-07-29 05:53 EDT, Jozef Mlich
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-29 05:53 EDT, Jozef Mlich
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2013-07-29 05:53 EDT, Jozef Mlich
no flags Details

  None (edit)
Description Jozef Mlich 2013-07-29 05:53:15 EDT
Version-Release number of selected component:
evolution-3.8.3-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        evolution
crash_function: g_malloc
executable:     /usr/bin/evolution
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            21446

Truncated backtrace:
Thread no. 1 (6 frames)
 #3 g_malloc at gmem.c:159
 #4 WebCore::ResourceHandleClient::getBuffer at Source/WebCore/platform/network/ResourceHandleClient.h:107
 #5 WebCore::sendRequestCallback at Source/WebCore/platform/network/soup/ResourceHandleSoup.cpp:720
 #6 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #7 complete_in_idle_cb_for_thread at gsimpleasyncresult.c:845
 #12 gtk_main at gtkmain.c:1156
Comment 1 Jozef Mlich 2013-07-29 05:53:24 EDT
Created attachment 779718 [details]
File: backtrace
Comment 2 Jozef Mlich 2013-07-29 05:53:28 EDT
Created attachment 779719 [details]
File: core_backtrace
Comment 3 Jozef Mlich 2013-07-29 05:53:31 EDT
Created attachment 779720 [details]
File: limits
Comment 4 Jozef Mlich 2013-07-29 05:53:34 EDT
Created attachment 779721 [details]
File: proc_pid_status
Comment 5 Milan Crha 2013-07-30 01:00:05 EDT
Thanks for a bug report. It seems to me like a memory corruption bug, recognized when an 8192 B memory block allocation was requested. By any chance, do you know the steps which lead to the crash, please? Not that reproducing a memory corruption is easy, because it depends on the steps before it, the same as on the data.
Comment 6 Jozef Mlich 2013-07-30 09:23:53 EDT
The crash occurred during mailbox synchronization and simultaneous message opening. Unfortunately, I cannot reproduce this bug. Feel free to close it.
Comment 7 Milan Crha 2013-07-31 00:44:37 EDT
Pity. I'm closing this, but feel free to reopen, in case you'll figure out more details on the issue.

Note You need to log in before you can comment on or make changes to this bug.